Bug 60921 - SSLv2 not getting disabled
Summary: SSLv2 not getting disabled
Status: RESOLVED INVALID
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.2.31
Hardware: Other Linux
: P2 major (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-27 12:19 UTC by abhishek.patil
Modified: 2018-11-09 21:40 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description abhishek.patil 2017-03-27 12:19:57 UTC
I have mentioned below entry in conf/extra/httpd-ssl.conf file but I still I can see SSLv2 enabled in SSL labs report.

SSLProtocol All -SSLv2 -SSLv3

I tried below thing as well and it is also showing that SSLv2 is enabled!

openssl s_client -connect <target_ip>:<target_port> -ssl2

Any help please?
Comment 1 William A. Rowe Jr. 2018-11-07 21:08:41 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.
Comment 2 Christophe JAILLET 2018-11-09 21:40:48 UTC
Setting to INVALID.
This report is for help, not for a bug in httpd. (at least, no evidence is provided)

Please consider reading https://httpd.apache.org/support.html and using either IRC or our mailing list for support.